## cascading.tap
Class S3fs

    java.lang.Object
      cascading.tap.Tap
          cascading.tap.Hfs
              cascading.tap.S3fs

All Implemented Interfaces:
  FlowElement, Serializable

Deprecated.

    @Deprecated
    public class S3fs

extends Hfs

Class S3fs is a `Tap` class that provides access to the Amazon S3 storage system.

An Amazon AWS id, secret key, and a S3 bucket name are required.

See Also:
  Serialized Form

Field Summary
`static String` `S3FS_BUCKET` Deprecated. Field S3FS_BUCKET is the property key for the S3 bucket
`static String` `S3FS_ID` Deprecated. Field S3FS_ID is the property key for the S3 id
`static String` `S3FS_SECRET` Deprecated. Field S3FS_SECRET is the property key for the S3 secret

Constructor Summary
`S3fs(Fields sourceFields, String stringPath)` Deprecated.
`S3fs(Fields sourceFields, String id, String secret, String bucket, String stringPath)` Deprecated. Constructor S3fs creates a new S3fs instance.
`S3fs(Fields sourceFields, URI uri)` Deprecated.
`S3fs(Fields sourceFields, URI uri, boolean replace)` Deprecated.
`S3fs(Fields sourceFields, URI uri, SinkMode sinkMode)` Deprecated.
`S3fs(Scheme scheme, String stringPath)` Deprecated.
`S3fs(Scheme scheme, String stringPath, boolean replace)` Deprecated.
`S3fs(Scheme scheme, String stringPath, SinkMode sinkMode)` Deprecated.
`S3fs(Scheme scheme, String id, String secret, String bucket, String stringPath)` Deprecated.
`S3fs(Scheme scheme, String id, String secret, String bucket, String stringPath, boolean replace)` Deprecated.
`S3fs(Scheme scheme, String id, String secret, String bucket, String stringPath, SinkMode sinkMode)` Deprecated.
`S3fs(Scheme scheme, URI uri)` Deprecated.

Method Summary
`protected URI` `makeURIScheme(JobConf jobConf)` Deprecated.
`protected void` `setStringPath(String stringPath)` Deprecated.

Methods inherited from class cascading.tap.Hfs
`deletePath, equals, getDefaultFileSystem, getDefaultFileSystemURIScheme, getFileSystem, getPath, getPathModified, getQualifiedPath, getTemporaryDirectory, getTempPath, getURIScheme, hashCode, isWriteDirect, makeDirs, makeTemporaryPathDir, openForRead, openForWrite, pathExists, setTemporaryDirectory, setUriScheme, sinkInit, sourceInit, toString`

Methods inherited from class cascading.tap.Tap
`flowInit, getIdentifier, getScheme, getSinkFields, getSinkMode, getSourceFields, getTrace, isAppend, isEquivalentTo, isKeep, isReplace, isSink, isSource, isUpdate, outgoingScopeFor, resolveFields, resolveIncomingOperationFields, setScheme, setWriteDirect, sink, source, taps`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### S3FS_ID

    public static final String S3FS_ID

  Deprecated.
  Field S3FS_ID is the property key for the S3 id

  See Also:
    Constant Field Values

### S3FS_SECRET

    public static final String S3FS_SECRET

  Deprecated.
  Field S3FS_SECRET is the property key for the S3 secret

  See Also:
    Constant Field Values

### S3FS_BUCKET

    public static final String S3FS_BUCKET

  Deprecated.
  Field S3FS_BUCKET is the property key for the S3 bucket

  See Also:
    Constant Field Values

Constructor Detail

### S3fs

    @Deprecated
    public S3fs(Fields sourceFields,
                           URI uri)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `sourceFields` - of type Fields
    `uri` - of type URI

### S3fs

    @Deprecated
    public S3fs(Fields sourceFields,
                           URI uri,
                           boolean replace)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `sourceFields` - of type Fields
    `uri` - of type URI
    `replace` - of type boolean

### S3fs

    @Deprecated
    public S3fs(Fields sourceFields,
                           URI uri,
                           SinkMode sinkMode)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `sourceFields` - of type Fields
    `uri` - of type URI
    `sinkMode` - of type SinkMode

### S3fs

    @Deprecated
    public S3fs(Fields sourceFields,
                           String stringPath)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `sourceFields` - of type Fields
    `stringPath` - of type String

### S3fs

    public S3fs(Fields sourceFields,
                String id,
                String secret,
                String bucket,
                String stringPath)

  Deprecated.
  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `sourceFields` - of type Fields
    `id` - of type String
    `secret` - of type String
    `bucket` - of type String
    `stringPath` - of type String

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           String id,
                           String secret,
                           String bucket,
                           String stringPath)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `id` - of type String
    `secret` - of type String
    `bucket` - of type String
    `stringPath` - of type String

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           URI uri)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `uri` - of type URI

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           String stringPath)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           String id,
                           String secret,
                           String bucket,
                           String stringPath,
                           boolean replace)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `id` - of type String
    `secret` - of type String
    `bucket` - of type String
    `stringPath` - of type String
    `replace` - of type boolean

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           String id,
                           String secret,
                           String bucket,
                           String stringPath,
                           SinkMode sinkMode)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `id` - of type String
    `secret` - of type String
    `bucket` - of type String
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           String stringPath,
                           boolean replace)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `replace` - of type boolean

### S3fs

    @Deprecated
    public S3fs(Scheme scheme,
                           String stringPath,
                           SinkMode sinkMode)

  Deprecated.

  Constructor S3fs creates a new S3fs instance.

  Parameters:
    `scheme` - of type Scheme
    `stringPath` - of type String
    `sinkMode` - of type SinkMode

Method Detail

### setStringPath

    protected void setStringPath(String stringPath)

  Deprecated.
  Overrides:
    `setStringPath` in class `Hfs`

### makeURIScheme

    protected URI makeURIScheme(JobConf jobConf)
                         throws IOException

  Deprecated.
  Overrides:
    `makeURIScheme` in class `Hfs`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.